#include <dos.h>;

#ifndef __FASTKEY_H
#define __FASTKEY_H

#define FK_True 1                  /*  Boolean                            */
#define FK_False 0

#define FK1 2                      /*  Letter Number and Punctuation Keys */
#define FK2 3                      /*          (Center Section)           */
#define FK3 4
#define FK4 5
#define FK5 6
#define FK6 7
#define FK7 8
#define FK8 9
#define FK9 10
#define FK0 11
#define FKMinus 12
#define FKEqual 13
#define FKQ 16
#define FKW 17
#define FKE 18
#define FKR 19
#define FKT 20
#define FKY 21
#define FKU 22
#define FKI 23
#define FKO 24
#define FKP 25
#define FKLBracket 26
#define FKRBracket 27
#define FKA 30
#define FKS 31
#define FKD 32
#define FKF 33
#define FKG 34
#define FKH 35
#define FKJ 36
#define FKK 37
#define FKL 38
#define FKSemiColon 39
#define FKLQuote 40
#define FKRQuote 41
#define FKBSlash 43
#define FKZ 44
#define FKX 45
#define FKC 46
#define FKV 47
#define FKB 48
#define FKN 49
#define FKM 50
#define FKComma 51
#define FKPeriod 52
#define FKFSlash 53
#define FKPrtSc 55
#define FKSpace 57

#define FKF1 59                    /*  Function Keys                      */
#define FKF2 60
#define FKF3 61
#define FKF4 62
#define FKF5 63
#define FKF6 64
#define FKF7 65
#define FKF8 66
#define FKF9 67
#define FKF10 68
#define FKF11 87
#define FKF12 88

#define FKKP7 71                   /*  Numeric Keypad                     */
#define FKKP8 72
#define FKKP9 73
#define FKKPMinus 74
#define FKKP4 75
#define FKKP5 76
#define FKKP6 77
#define FKKPPlus 78
#define FKKP1 79
#define FKKP2 80
#define FKKP3 81
#define FKKP0 82
#define FKKPPeriod 83

#define FKUpLeft FKKP7             /*  Synonyms for cursor keys           */
#define FKUp FKKP8
#define FKUpRight FKKP9
#define FKLeft FKKP4
#define FKCenter FKKP5
#define FKRight FKKP6
#define FKDownLeft FKKP1
#define FKDown FKKP2
#define FKDownRight FKKP3
#define FKHome FKKP7
#define FKPgUp FKKP9
#define FKEnd FKKP1
#define FKPgDn FKKP3

#define FKEsc 1                    /*  Control Keys                       */
#define FKBkSp 14
#define FKNumLock 69
#define FKScrollLock 70
#define FKTab 15
#define FKEnter 28
#define FKCtrl 29
#define FKLShift 42
#define FLRShift 54
#define FKAlt 56
#define FKCapsLock 58

int FastKeyInstalled(void);        /* Routines that make up FastKey       */
void InstallFastKey(void);
void UnInstallFastKey(void);
int Pressed(int);
int FastKeyPressed(void);

#endif